@import "../variables";

.card {
  $border-radius: 10px;
  display: flex;

  background: white;
  border-radius: $border-radius;

  .picture {
    &, img {
      height: 100%;
      width: 47%;
    }

    img {
      visibility: hidden;
    }

    background: url('../img/drawers.jpg') 0 0 ;
    background-size: cover;
    border-radius: $border-radius 0 0 $border-radius;
  }

  .body {
    display: flex;
    flex-direction: column;

    padding: 2.6rem 3rem 2rem;
    width: 60%;

    .description {
      flex: 1 0 auto;
      display: flex;
      flex-direction: column;

      h1, p {
        margin: 0;
      }

      h1 {
        font-size: 20px;
        line-height: 28px;
        letter-spacing: .2px;
        color: $very-dark-grayish-blue;
      }
      p {
        margin: 10px 0 0;
        line-height: 20px;
        letter-spacing: .1px;
        color: $desaturated-dark-blue;
      }
    }

    .author-container {
      display: flex;
      align-items: center;
      justify-content: space-between;

      .author {
        display: flex;
        align-items: center;

        .author-description {
          margin-left: 1rem;
          display: flex;
          flex-direction: column;
        }
      }

      .avatar, .share-button-container {
        height: 3rem;
      }
    }
  }

}
